using System.Collections.Generic;

namespace Baza_Reklam.Classes.Model
{
    public class Customer
    {
        private readonly int _id;
        private readonly string _name;
        private List<Subscription> _subscriptions;

        public Customer(int id, string name)
        {
            _id = id;
            _name = name;
        }

        public int Id
        {
            get { return _id; }
        }

        public string Name
        {
            get { return _name; }
        }

        public List<Subscription> Subscriptions
        {
            get { return _subscriptions; }
        }

        public void AddSubscription(Subscription subscription)
        {
            if (_subscriptions == null)
                _subscriptions = new List<Subscription>();

            _subscriptions.Add(subscription);
        }
    }
}